curl --request GET \
--url https://api.cadanapay.com/v1/contracts/{contractId} \
--header 'Authorization: Bearer <token>'{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"templateId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "completed",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Edward Petersen - Standard Global Contractor Agreement",
"signatures": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"emailAddress": "signer@example.com",
"name": "John Doe",
"order": 0,
"status": "signed",
"signedAt": 1689759850,
"lastViewedAt": 1689759850
}
],
"createdAt": 1689759850,
"customContractAttached": false,
"downloadUrl": "https://storage.example.com/contracts/d52e4a13-7b6f-4c8d-a9e1-2f3b5c7d8e9a.pdf?token=abc123&expires=900",
"downloadUrlExpiresAt": 1689760750
}Retrieve a single contract by ID
curl --request GET \
--url https://api.cadanapay.com/v1/contracts/{contractId} \
--header 'Authorization: Bearer <token>'{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"templateId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "completed",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Edward Petersen - Standard Global Contractor Agreement",
"signatures": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"emailAddress": "signer@example.com",
"name": "John Doe",
"order": 0,
"status": "signed",
"signedAt": 1689759850,
"lastViewedAt": 1689759850
}
],
"createdAt": 1689759850,
"customContractAttached": false,
"downloadUrl": "https://storage.example.com/contracts/d52e4a13-7b6f-4c8d-a9e1-2f3b5c7d8e9a.pdf?token=abc123&expires=900",
"downloadUrlExpiresAt": 1689760750
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the the contract
When true, includes a presigned download URL for the contract PDF (valid for 15 minutes)
retrieve contract response
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
"completed"
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
"Edward Petersen - Standard Global Contractor Agreement"
Show child attributes
1689759850
false
Presigned S3 download URL for the contract PDF. Only included when includeDownloadUrl=true.
"https://storage.example.com/contracts/d52e4a13-7b6f-4c8d-a9e1-2f3b5c7d8e9a.pdf?token=abc123&expires=900"
Epoch timestamp when the download URL expires. Only included when includeDownloadUrl=true.
1689760750